use std::sync::Arc;

use axum::{body::Body, routing::get, Router};

use crate::{app::AppState, feeds};

pub fn all() -> Router<Arc<AppState>, Body> {
    Router::new()
        .route("/", get(feeds::route::feeds))
        .route("/feeds/:id", get(feeds::route::feed))
}
